Terms
The terms resource.
Basehttps://rest.carbon.ms/terms
GET
/termsList termss
Retrieve a paginated list of termss. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GEThttps://rest.carbon.ms/terms
curl --request GET \
--url 'https://rest.carbon.ms/terms?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"id": "abc123def456",
"purchasingTerms": "string",
"salesTerms": "string",
"updatedAt": "2026-01-01T00:00:00Z",
"updatedBy": "string"
}
]GET
/termsRetrieve a terms
Fetch a single terms by filtering on `id`.
Query parameters
idstringMatch on the terms's `id`, e.g. `eq.{id}`.
GEThttps://rest.carbon.ms/terms
curl --request GET \
--url 'https://rest.carbon.ms/terms?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"id": "abc123def456",
"purchasingTerms": "string",
"salesTerms": "string",
"updatedAt": "2026-01-01T00:00:00Z",
"updatedBy": "string"
}POST
/termsCreate a terms
Create a new terms.
Body parameters
purchasingTermsobjectsalesTermsobjectPOSThttps://rest.carbon.ms/terms
curl --request POST \
--url https://rest.carbon.ms/terms \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"id":"abc123def456"}'Response
{
"id": "abc123def456",
"purchasingTerms": "string",
"salesTerms": "string",
"updatedAt": "2026-01-01T00:00:00Z",
"updatedBy": "string"
}PATCH
/termsUpdate a terms
Update an existing terms, matched on `id`.
Body parameters
purchasingTermsobjectsalesTermsobjectPATCHhttps://rest.carbon.ms/terms
curl --request PATCH \
--url 'https://rest.carbon.ms/terms?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"purchasingTerms":"string"}'Response
{
"id": "abc123def456",
"purchasingTerms": "string",
"salesTerms": "string",
"updatedAt": "2026-01-01T00:00:00Z",
"updatedBy": "string"
}DELETE
/termsDelete a terms
Delete a terms, matched on `id`. Returns 204 No Content.
Query parameters
idstringThe `id` of the terms to delete, e.g. `eq.{id}`.
DELETEhttps://rest.carbon.ms/terms
curl --request DELETE \
--url 'https://rest.carbon.ms/terms?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'204 No Content